请 Kill IE 6

/ 12评 / 0

最近在改部门使用的web服务器和ftp服务器,主要用于日常软件和个人软件维护,虽然单位有提供统一的邮箱和网络硬盘,但都相当不方便,不是控制在本部门下。

在弄web服务器的时候,做了一个简单的HTML,但position-fixed的效果彻底打败我了,由于出于兼容性其实很多单位都还在IE6的,必须是这样,谁让现在很多内部的软件和专用的软件都还停留在IE6,真TMD的神经病,抽风一样。

position-fixed在除ie6的其他浏览器下都正常,唯独IE6不成,试用了下“谷歌一下”提到的最多办法,但直接崩溃了,css的办法无法彻底搞定IE6,反正IE6本身就不遵循css,js能完美解决,但为了最大限度的获得最大的性能,我放弃了js,最终我也放弃了IE6,希望它早点从单位用户中消失。

利用的办法就是IE的IF条件注释:

<!–[if !IE]><!–> 除IE外都可识别 <!–<![endif]–>

<!–[if IE]> 所有的IE可识别 <![endif]–>

<!–[if IE 5.0]> 只有IE5.0可以识别 <![endif]–>

<!–[if IE 5]> 仅IE5.0与IE5.5可以识别 <![endif]–>

<!–[if gt IE 5.0]> IE5.0以及IE5.0以上版本都可以识别 <![endif]–>

<!–[if IE 6]> 仅IE6可识别 <![endif]–>

<!–[if lt IE 6]> IE6以及IE6以下版本可识别 <![endif]–>

<!–[if gte IE 6]> IE6以及IE6以上版本可识别 <![endif]–>

<!–[if IE 7]> 仅IE7可识别 <![endif]–>

<!–[if lt IE 7]> IE7以及IE7以下版本可识别 <![endif]–>

<!–[if gte IE 7]> IE7以及IE7以上版本可识别 <![endif]–>

最后建议大家都来加速IE 6 的灭亡。
主题中添加如下代码;

<!--[if lte IE 6]>
	<script src="http://letskillie6.googlecode.com/svn/trunk/letskillie6.zh_CN.pack.js"></script>
<![endif]-->

12条回应:“请 Kill IE 6”

  1. 5320XM说道:

    从网站统计来看,IE6的市场还是很大的.

  2. 万戈说道:

    彻底一些,Kill IE吧 :mrgreen:

  3. 以前有一个站,就做了Kill IE 6.0 ,不过后来撤销了。

  4. 牧狼羊说道:

    我天天上班都必须用IE6,家里电脑也必须装IE6,郁闷。

  5. 皓辰说道:

    IE6使我无奈!

  6. 老陈说道:

    哎呦! 😛

  7. 爱在深邱说道:

    继续支持IE6。

  8. CGrrr说道:

    早就该放弃了

  9. 晓潘说道:

    已经KILL了 我现在用的火狐浏览器

  10. mzfeng说道:

    现在还有很多用户终端用的都还是IE6,IE6在一段时期内还是有市场的。

  11. 哈尔滨团购说道:

    早就不用喽

  12. JavasBoy说道:

    哈哈,刚才终于成功从IE6升级到了IE8,之前升级过但一直升级出错。
    刚才又冲动了一会,在网上看到关了360就可以升级成功,一试果然成功了。
    PS:在没升级前一直用火狐。

    刚我也加上了上面的代码,可惜现在查看不到效果,等去单位再看看。

发表评论

电子邮件地址不会被公开。 必填项已用*标注